E-MailRelay

Public Member Functions | List of all members
GAuth::SecretsFileServer Class Reference

A thin adapter between GAuth::SecretsFile and GAuth::SaslServerSecrets returned by GAuth::Secrets::newServerSecrets(). More...

`#include <gsecrets.h>`

Inheritance diagram for GAuth::SecretsFileServer:
[legend]
Collaboration diagram for GAuth::SecretsFileServer:
[legend]

## Public Member Functions
| SecretsFileServer (const std::string &path, const std::string &log_name)
| Constructor. See GAuth::Secrets::newServerSecrets(). More...
| ~SecretsFileServer () override
| Destructor.
| SecretsFileServer (const SecretsFileServer &)=delete
| SecretsFileServer (SecretsFileServer &&)=delete
SecretsFileServer & | operator= (const SecretsFileServer &)=delete
SecretsFileServer & | operator= (SecretsFileServer &&)=delete
Public Member Functions inherited from GAuth::SaslServerSecrets
virtual | ~SaslServerSecrets ()=default
| Destructor.
virtual bool | valid () const =0
| Returns true if the secrets are valid.
virtual Secret | serverSecret (std::string_view type, std::string_view id) const =0
| Returns the server secret for the given client id. More...
virtual std::pair< std::string, std::string > | serverTrust (const std::string &address_range) const =0
| Returns a non-empty trustee name if the server trusts the given address range (eg. More...
virtual std::string | source () const =0
| Returns the source identifier (eg. file name).
virtual bool | contains (std::string_view type, std::string_view id) const =0
| Returns true if there is a secret of the given type either for one user in particular or for any user if the id is empty.

## Detailed Description

A thin adapter between GAuth::SecretsFile and GAuth::SaslServerSecrets returned by GAuth::Secrets::newServerSecrets().

Definition at line 108 of file gsecrets.h.

## Constructor & Destructor Documentation

## ◆ SecretsFileServer()

GAuth::SecretsFileServer::SecretsFileServer | ( | const std::string & | path,
|  | const std::string & | log_name
| ) |  |

Constructor. See GAuth::Secrets::newServerSecrets().

Definition at line 135 of file gsecrets.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gauth/gsecrets.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gauth/gsecrets.cpp